hwloc_topology_diff_u Union Reference
Topology differences

`#include <diff.h>`

## Data Structures

struct | hwloc_topology_diff_generic_s
struct | hwloc_topology_diff_obj_attr_s
struct | hwloc_topology_diff_too_complex_s

## Data Fields

struct hwloc_topology_diff_u::hwloc_topology_diff_generic_s | generic
struct hwloc_topology_diff_u::hwloc_topology_diff_obj_attr_s | obj_attr
struct hwloc_topology_diff_u::hwloc_topology_diff_too_complex_s | too_complex

## Detailed Description

One element of a difference list between two topologies.

## Field Documentation

## generic

struct hwloc_topology_diff_u::hwloc_topology_diff_generic_s hwloc_topology_diff_u::generic

## obj_attr

struct hwloc_topology_diff_u::hwloc_topology_diff_obj_attr_s hwloc_topology_diff_u::obj_attr

## too_complex

struct hwloc_topology_diff_u::hwloc_topology_diff_too_complex_s hwloc_topology_diff_u::too_complex

The documentation for this union was generated from the following file:

- diff.h